package com.fr.plugin.sqy.surface.option;

import com.fanruan.api.json.JSONKit;
import com.fr.json.JSONObject;
import com.fr.plugin.sqy.surface.option.modle.OptionProvider;

public class Wireframe implements OptionProvider {
    private boolean show;
    private LineStyle lineStyle;

    public boolean isShow() {
        return show;
    }

    public void setShow(boolean show) {
        this.show = show;
    }

    public LineStyle getLineStyle() {
        return lineStyle;
    }

    public void setLineStyle(LineStyle lineStyle) {
        this.lineStyle = lineStyle;
    }

    @Override
    public JSONObject getJSONObject() {
        JSONObject wireframe = JSONKit.create();
        wireframe.put("show",this.isShow());
        if(this.getLineStyle() != null){
            wireframe.put("lineStyle",this.getLineStyle().getJSONObject());
        }
        return wireframe;
    }
}
