package com.fr.plugin.sqy.surface.option.modle;

import com.fr.plugin.sqy.surface.option.ChartOption;

public class ChartOptionDirector {
    public static ChartOption createChartOptionByModel(ChartOptionProvide builder){
        builder.buildToolTip();
        builder.buildAxis3Dx();
        builder.buildAxis3Dy();
        builder.buildAxis3Dz();
        builder.buildGrid3D();
        builder.buildVisualMap();
        builder.buildSeries();
        return builder.createChartOption();
    }
}
