package com.fr.plugin.sqy.surface.pane;

import com.fr.extended.chart.ExtendedTypePane;
import com.fr.plugin.sqy.surface.chart.Chart;
import com.fr.plugin.sqy.surface.chart.ChartType;

import javax.swing.*;
import java.awt.*;

public class TypePane extends ExtendedTypePane<Chart> {
    @Override
    protected String[] getTypeIconPath() {
        return new String[]{
                "com/fr/plugin/sqy/surface/img/type1.png"
        };
    }

    @Override
    protected String[] getTypeTipName() {
        return new String[]{
                "曲面图"
        };
    }

    @Override
    protected int getTypeIndex(Chart surfaceChart) {
        return surfaceChart.getChartType().ordinal();
    }

    @Override
    protected void setType(Chart surfaceChart, int i) {
        surfaceChart.setChartType(ChartType.parseInt(i));
    }

    @Override
    protected Component[][] getPaneComponents(JPanel jPanel) {
        return super.getPaneComponents(jPanel);
    }

    @Override
    protected void populate(Chart surfaceChart) {
        super.populate(surfaceChart);
    }

    @Override
    protected void update(Chart surfaceChart) {
        super.update(surfaceChart);
    }
}
