package com.fr.plugin.sqy.surface.util;

import java.awt.*;
import java.util.regex.Pattern;

public class PluginStringUtils {
    private static Pattern numberPattern = Pattern.compile("-?[0-9]+(.[0-9]+)?");


    public static boolean isNumber(String str){
        return numberPattern.matcher(str).matches();
    }

    public static String colorToString(Color color){
        return "#"+Integer.toHexString(color.getRGB()).substring(2);
    }
}
