package com.fr.plugin.sqy.surface.option;

import com.fanruan.api.json.JSONKit;
import com.fr.json.JSONObject;
import com.fr.plugin.sqy.surface.option.modle.OptionProvider;

public class AxisTick implements OptionProvider {
    private boolean show = true;

    public AxisTick() {
    }

    public AxisTick(boolean show) {
        this.show = show;
    }

    public boolean isShow() {
        return show;
    }

    public void setShow(boolean show) {
        this.show = show;
    }

    @Override
    public JSONObject getJSONObject() {
        JSONObject axisTick = JSONKit.create();
        axisTick.put("show",this.isShow());
        return axisTick;
    }
}
