package com.fr.plugin.sqy.surface.pane;

import com.fr.design.gui.frpane.AttributeChangeListener;
import com.fr.extended.chart.AbstractExtendedStylePane;
import com.fr.extended.chart.ExtendedScrollPane;
import com.fr.plugin.sqy.surface.chart.Chart;
import com.fr.plugin.sqy.surface.pane.style.VisualPane;
import com.fr.plugin.sqy.surface.pane.style.Axis3DXPane;
import com.fr.plugin.sqy.surface.pane.style.Axis3DYPane;
import com.fr.plugin.sqy.surface.pane.style.Axis3DZPane;

import java.util.ArrayList;
import java.util.List;

public class StylePane extends AbstractExtendedStylePane<Chart> {

    public StylePane(AttributeChangeListener listener) {
        super(listener);
    }


    @Override
    protected List<ExtendedScrollPane<Chart>> initPaneList() {
        List<ExtendedScrollPane<Chart>> list = new ArrayList<ExtendedScrollPane<Chart>>();
        list.add(new VisualPane());
        list.add(new Axis3DXPane());
        list.add(new Axis3DYPane());
        list.add(new Axis3DZPane());
        return list;
    }
}
